Bug 298428 - Window title animation flashes when window has been resized
Summary: Window title animation flashes when window has been resized
Status: RESOLVED FIXED
Alias: None
Product: Oxygen
Classification: Unclassified
Component: win deco (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Hugo Pereira Da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-19 17:01 UTC by Eike Hein
Modified: 2012-04-23 12:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Hein 2012-04-19 17:01:10 UTC
The Oxygen window decoration (optionally, on by default) animates window title changes with a transition animation. This usually works fine, but when the window has been resized prior to a title change, the transition is not smooth but rather flashes briefly.

I've observed this with the Firefox download manager window, which shows the completion percentage of the running downloads in the window title.
Comment 1 Eike Hein 2012-04-19 17:01:51 UTC
Version is 4.8.2 BTW.
Comment 2 Hugo Pereira Da Costa 2012-04-23 11:00:37 UTC
Git commit b59658743ff4b32239f66c9b87ab3c583e8a4ce9 by Hugo Pereira Da Costa.
Committed on 20/04/2012 at 11:20.
Pushed by hpereiradacosta into branch 'master'.

mark title transition as dirty when resizing client, to avoid flicker.

M  +5    -0    kwin/clients/oxygen/oxygenclient.cpp

http://commits.kde.org/kde-workspace/b59658743ff4b32239f66c9b87ab3c583e8a4ce9
Comment 3 Hugo Pereira Da Costa 2012-04-23 11:05:38 UTC
Git commit 05ad4cbc3b954af14113149bf07eda9c0c7aca79 by Hugo Pereira Da Costa.
Committed on 20/04/2012 at 11:20.
Pushed by hpereiradacosta into branch 'KDE/4.8'.

mark title transition as dirty when resizing client, to avoid flicker.

M  +4    -0    kwin/clients/oxygen/oxygenclient.cpp

http://commits.kde.org/kde-workspace/05ad4cbc3b954af14113149bf07eda9c0c7aca79
Comment 4 Hugo Pereira Da Costa 2012-04-23 11:05:54 UTC
That fixes it, as far as I can tell.
Comment 5 Eike Hein 2012-04-23 12:46:34 UTC
Thanks!